s1 = input('Unesite naziv prve datoteke: ', 's');
s2 = input('Unesite naziv druge datoteke: ', 's');

x = load(s1);
y = load(s2);

%x i y su matrice dimenzija 10x10
%da bismo plotovali, treba nam vekor dimenzija 1x100

%mozemo da koristimo funkciju reshape
%na primer da ne znamo dimenzije morali bi smo da koristimo i 
%funkciju size;
dim1 = size(x);
x = reshape(x, 1, dim1(1) * dim1(2));
%m x n <-> 1 x m*n

dim2 = size(y);
y = reshape(y, 1, dim2(1) * dim2(2));

%sada smo x i y prebacili da budu vektori

plot(x, y, '.g');

xsr = sum(x)/length(x);
ysr = sum(y)/length(y);

hold on;
plot(xsr, ysr, 'r*');
hold off;

sdx = (sum((x - xsr).^2)/length(x)).^0.5;
sdy = (sum((y - ysr).^2)/length(y)).^0.5;

clear pi;
t = 0:0.1:2*pi;
hold on;
plot(xsr + sdx .* cos(t), ysr + sdy .* sin(t), '--r');
hold off;