function zad2()

%prvo hocemo da plot-ujemo rungeovu originalnu
%funckiju
%da bismo to uradili uzimamo sitnu podelu po 
%x osi, korak 0.1, da bi funkcija bila
%'glatka'
xplot = -5:0.1:5;
yplot_runge = 1./(1+25.*(xplot.^2));
plot(xplot, yplot_runge, 'r-');

%racunamo koordinate tacaka u kojima radimo 
%aproksimaciju

%prvo racunamo tacke dobijene ekvidistantnom
%podelom
xekv = -5:1:5;
yekv = 1./(1+25.*(xekv.^2));

%posle racunamo tacke dobijene cebisevljevom
%podelom
a = -5;
b = 5;
n = 10;
i = 1:10;
clear pi;
xceb = (a+b)./2 + (b-a)./2.*cos((n-i+0.5)./n.*pi);
yceb =  1./(1+25.*(xceb.^2));

%plotujemo samo tacke u kojima radimo aproksimaciju
hold on;
plot(xekv, yekv, '*b');
plot(xceb, yceb, 'og');
hold off

%racunamo 2 polinoma, jedan je aproksimacija
%u ekv. tackama, drugi u ceb. tackama
aproks_ekv = polyfit(xekv, yekv, 3);
aproks_ceb = polyfit(xceb, yceb, 3);

%plotujemo ta 2 polinoma po 'gustoj'
%podeli po x osi, da bi funkcije bile glatke...
yplot_pol_ekv = polyval(aproks_ekv, xplot);
yplot_pol_ceb = polyval(aproks_ceb, xplot);

hold on;
plot(xplot, yplot_pol_ekv, 'b-');
plot(xplot, yplot_pol_ceb, 'g-');

hold off;
s1 = 'rungeova funkcija';
s2 = 'tacke aprok. ekv. podela';
s3 = 'tacke aprok. ceb. podela';
s4 = 'polinom aproksimacije po ekv. podeli';
s5 = 'polinom aproksimacije po ceb. podeli';
legend(s1, s2, s3, s4, s5);
end