function zad3()

xplot = -5:0.1:5;
yplot_runge = 1./(1+25.*(xplot.^2));

xekv = -5:1:5;
yekv = 1./(1+25.*(xekv.^2));

a = -5;
b = 5;
n = 10;
i = 1:10;
clear pi;
xceb = (a+b)./2 + (b-a)./2.*cos((n-i+0.5)./n.*pi);
yceb =  1./(1+25.*(xceb.^2));

aproks_ekv = polyfit(xekv, yekv, 3);
aproks_ceb = polyfit(xceb, yceb, 3);

yplot_pol_ekv = polyval(aproks_ekv, xplot);
yplot_pol_ceb = polyval(aproks_ceb, xplot);

subplot(1, 2, 1);
plot(xplot, yplot_runge, 'r-');
hold on;
plot(xekv, yekv, '*b');
plot(xceb, yceb, 'og');
plot(xplot, yplot_pol_ekv, 'b-');
plot(xplot, yplot_pol_ceb, 'g-');
hold off;
s1 = 'rungeova funkcija';
s2 = 'tacke aprok. ekv. podela';
s3 = 'tacke aprok. ceb. podela';
s4 = 'polinom aproksimacije po ekv. podeli';
s5 = 'polinom aproksimacije po ceb. podeli';
legend(s1, s2, s3, s4, s5);
title('APROKSIMACIJA POLINOMOM');


aproks_ekv_spline = spline(xekv, yekv);
aproks_ceb_spline = spline(xceb, yceb);

yplot_spline_ekv = ppval(aproks_ekv_spline, xplot);
yplot_spline_ceb = ppval(aproks_ceb_spline, xplot);

subplot(1, 2, 2);
plot(xplot, yplot_runge, 'r-');
hold on;
plot(xekv, yekv, '*b');
plot(xceb, yceb, 'og');
plot(xplot, yplot_spline_ekv, 'b-');
plot(xplot, yplot_spline_ceb, 'g-');
hold off;
s1 = 'rungeova funkcija';
s2 = 'tacke aprok. ekv. podela';
s3 = 'tacke aprok. ceb. podela';
s4 = 'spline aproksimacije po ekv. podeli';
s5 = 'spline aproksimacije po ceb. podeli';
legend(s1, s2, s3, s4, s5);
title('SPLINE APROKSIMACIJA');
end