function zad2()

%radimo aproksimaciju rungeove funkcije y=1./(1+25.*(x.^2))
%na razlicitim skupovima tacaka

%prvi je (xekv, yekv), x={-5, -4, -3, ... ,5}, y vrednost fun. u x
%koordinatama

xekv = -5:1:5;
yekv = 1./(1+25.*(xekv.^2));
apr_ekv = polyfit(xekv, yekv, 3);

%a drugi je (xceb, yceb), x - cebisevljevi cvorovi na intervalu [-5, 5], y
%vrednost fun. u x koordinatama.

a = -5;
b = 5;
n = 10;
i = 1:10;
clear pi;
xceb = (a + b) ./ 2 + (b - a) ./ 2 .* cos((n-i+0.5)./n.*pi);
yceb = 1./(1+25.*(xceb.^2));
apr_ceb = polyfit(xceb, yceb, 3);

%dobili smo 2 polinoma koja predstavljaju aproksimacije apr_ekv i apr_ceb

%sada hocemo da plotujemo 3 funkcije, originalnu rungeovu funkciju
%i nasa 2 polinoma koja predstavljaju aproksimacije
%plotujemo ih na gustom skupu tacaka, tj: -5:0.1:5

xplot = -5 : 0.1 : 5;
yplot_orig = 1./(1+25.*(xplot.^2));
yplot_ekv = polyval(apr_ekv, xplot);
yplot_ceb = polyval(apr_ceb, xplot);

plot(xplot, yplot_orig, 'r-');
hold on;
plot(xplot, yplot_ekv, 'g-');
plot(xplot, yplot_ceb, 'b-');

plot(xekv, yekv, 'g*');
plot(xceb, yceb, 'b*');

hold off;

legend('originalna funkcija', 'aproksimacija u ekv. cvor.', 'aproksimacija u ceb. cvor.');

end

