function yniz = norma(x, pniz)

%ovaj zadatak hocemo da prosirimo
%tako da drugi argument moze da bude vektor [p1 p2 ... pn]
%onda vracamo vektor normi, p1-norma, p2-norma,...,pn-norma

%na pocetku je rezultat prazan niz, pa kako racunamo 
%norme tako ih dodajemo u y

yniz = [];

for i = 1:length(pniz)
    p = pniz(i);
    %imamo 2 slucaja, kad je p beskonacno i kad p nije beskonacno
    if(p == inf)
        yniz(i) = max(abs(x));
    else
        yniz(i) = sum(abs(x).^p).^(1/p);
    end
end
end

