function vremena()

%prvo iteriramo kroz vrednosti na x osi, 10, 20, 30, 40...
%i onda za svaku vrednost x, kreiramo 1000 sistema i racunamo vreme

%rezultat cuvamo u 3 niza, koji sadrze vremena izvrsavanja
%svake vrste sistema (1, 2, 3)
y_s1 = [];
y_s2 = [];
y_s3 = [];

for x = 10:10:100
    %uvodimo promenljive koje cuvaju ukupno vreme 
    %za resavanje 1000 sistema dimenzije x
    v_s1 = 0;
    v_s2 = 0;
    v_s3 = 0;
    %ovde treba da kreiramo 1000 sistema dimenzije x
    for i = 1:1000
        A = rand(x);
        B = rand(x, 1);
        tic;
        rez = sistem1(A, B);
        v_s1 = v_s1 + toc;
        
        tic;
        rez = sistem2(A, B);
        v_s2 = v_s2 + toc;
        
        tic;
        rez = sistem3(A, B);
        v_s3 = v_s3 + toc;
    end
    
    %izracunata vremena dodajemo u nizove koji sadrze rezultate
    y_s1 = [y_s1 v_s1];
    y_s2 = [y_s2 v_s2];
    y_s3 = [y_s3 v_s3];
end

x = 10:10:100;

plot(x, y_s1, 'r-');

hold on;
plot(x, y_s2, 'g-');
plot(x, y_s3, 'b-');
hold off;

legend('A^-1 * B', 'A\\B', 'lu dekompozicija');

end

