function vremena()

%vrednosti y za svaku od tacaka x
y1 = [];
y2 = [];
y3 = [];

%prolazimo kroz petlju za sve vrednosti na x osi
for x = 10:10:100
    %na pocetku vremena inizijalizujemo na 0
    s1 = 0;
    s2 = 0;
    s3 = 0;
       
    %za svaku vrednost x, kreiramo 1000 sistema dimenzije x, i resavamo 
    %ih na sva 3 nacina
    for j = 1:1000
       A = rand(x);
       B = rand(x,1);
       %za savaku od ovih 1000 vrednosti A i B resavamo jednacine na
       %3 nacina i merimo vreme racunanja
       tic;
       y = sistem1(A, B);
       s1 = s1 + toc;
       tic;
       y = sistem2(A, B);
       s2 = s2 + toc;
       tic;
       y = sistem3(A, B);
       s3 = s3 + toc;
    end
    y1 = [y1 s1];
    y2 = [y2 s2];
    y3 = [y3 s3];
end

x = 10:10:100;
plot(x, y1, 'r');
hold on
plot(x, y2, 'b');
plot(x, y3, 'g');
hold off

legend('sistem 1', 'sistem 2', 'sistem 3');
grid on;
end

