function x0 = nulafje(fja, eps)

%u drugoj grupi je radnjeno da se funkcija prosledi kao string
%na primer fstring='x^2+5'
%onda funkciju dobijamo sa f = sym(fstring)
%a vrednost na primer u tacki 5 dobijamo sa
%subs(f, 'x', 5)

%ovde radimo malo drugacije
%funkcija se prosledjuje kao fja = @(x) x^2+5
%onda dobijamo vrednost kao fja(5)

lg = -1;
dg = 1;
i = 1;
while true
    lv = fja(lg);
    dv = fja(dg);
    if lv * dv <= 0
        break;
    end
    i = i + 1;
    if i > 100
        disp('nismo mogli da nadjemo interval u kome se nalazi nula');
        return;
    end
    lg = lg * 2;
    dg = dg * 2;
end

%sada smo nasli granice, lg, dg, lv, dv
%i mozemo da krenemo u metod polovljenja

%stajemo kada nadjemo resenje sa eps tacnoscu (u eps okolini pravog
%resenja)

while dg - lg > eps

    s = (lg+dg)/2;
    sv = fja(s);
    
    if sv*lv < 0
        dg = s;
        dv = sv;
    else
        lg = s;
        lv = sv;
    end
end
x0 = (lg + dg)./2;
end

