function zad3()

xekv = -5:1:5;
yekv = 1./(1+25.*(xekv.^2));
apr_ekv = polyfit(xekv, yekv, 3);
apr_ekv_spline = spline(xekv, yekv);

a = -5;
b = 5;
n = 10;
i = 1:10;
clear pi;
xceb = (a + b) ./ 2 + (b - a) ./ 2 .* cos((n-i+0.5)./n.*pi);
yceb = 1./(1+25.*(xceb.^2));
apr_ceb = polyfit(xceb, yceb, 3);
apr_ceb_spline = spline(xceb, yceb);

xplot = -5 : 0.1 : 5;
yplot_orig = 1./(1+25.*(xplot.^2));
yplot_ekv = polyval(apr_ekv, xplot);
yplot_ceb = polyval(apr_ceb, xplot);
yplot_ekv_spline = ppval(apr_ekv_spline, xplot);
yplot_ceb_spline = ppval(apr_ceb_spline, xplot);

subplot(1, 2, 1);
plot(xplot, yplot_orig, 'r-');
hold on;
plot(xplot, yplot_ekv, 'g-');
plot(xplot, yplot_ceb, 'b-');

plot(xekv, yekv, 'g*');
plot(xceb, yceb, 'b*');

hold off;

legend('originalna funkcija', 'aproksimacija u ekv. cvor.', 'aproksimacija u ceb. cvor.');
title('APROKSIMACIJA POLINOMOM');

subplot(1, 2, 2);
plot(xplot, yplot_orig, 'r-');
hold on;
plot(xplot, yplot_ekv_spline, 'g-');
plot(xplot, yplot_ceb_spline, 'b-');

plot(xekv, yekv, 'g*');
plot(xceb, yceb, 'b*');

hold off;

legend('originalna funkcija', 'aproksimacija u ekv. cvor.', 'aproksimacija u ceb. cvor.');
title('SPLINE APROKSIMACIJA');

end

