function x = zad4(fstring, eps)
%fstring je funkcija zadata kao string na primer 'x^2+1'

f = sym(fstring);

%kada smo dobili funckiju hocemo da odredimo granice intervala
%tako da je na jednoj granici f-ja pozitivna, a na drugoj negativna
%u tekstu zadatka pise da to radimo eksonencijalnim sirenjem
%konkretno testiramo intervale
%[-1, 1], [-2, 2], [-4, 4], [-8, 8]...

lg = -1;
dg = 1;
i = 1;

while true
    lv = subs(f, 'x', lg);
    dv = subs(f, 'x', dg);
    
    if lv * dv <= 0
        break
    end
    lg = lg * 2;
    dg = dg * 2;
    i = i + 1;
    if(i > 100)
        disp('Nismo uspeli da nadjemo granice interala');
        return
    end
end

%ako smo dosli do ovde nasli smo granice i mozemo da krenemo metodu
%polovljenja

while dg - lg > eps
    s = (lg + dg) / 2;
    sv = subs(f, 'x', s);
    if(sv == 0)
        x = s;
        return;
    elseif(sv * lv < 0)
        dg = s;
        dv = sv;
    else
        lg = s;
        lv = sv;
    end
end
x = (lg + dg)/2;

end

